Subject: Re: bug#46724: [PATCH] gnu: vtk: Update to 9.0.1

From: Ludovic Courtès <[email-masked]>
Date: Tue, 02 Mar 2021 20:23:09 +0100

Hi,

Andy Tai <[email-masked]> skribis:

> * gnu/packages/image-processing.scm (vtk): Update to 9.0.1

[...]

> -              (snippet
> -               '(begin
> -                  (for-each
> -                    (lambda (dir)
> -                      (delete-file-recursively
> -                        (string-append "ThirdParty/" dir "/vtk" dir)))
> -                    ;; ogg, pugixml depended upon unconditionally
> -                    '("doubleconversion" "eigen" "expat" "freetype" "gl2ps"
> -                      "glew" "hdf5" "jpeg" "jsoncpp" "libproj" "libxml2" "lz4"
> -                      "netcdf" "png" "sqlite" "theora" "tiff" "zlib"))
> -                  #t))))
> +                "1ir2lq9i45ls374lcmjzw0nrm5l5hnm1w47lg8g8d0n2j7hsaf8v"))

[...]

> -                           "-DVTK_USE_SYSTEM_DOUBLECONVERSION:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_EIGEN:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_EXPAT:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_FREETYPE:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_GL2PS:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_GLEW:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_HDF5:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_JPEG:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_JSONCPP:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_LIBPROJ:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_LIBXML2:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_LZ4:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_NETCDF:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_PNG:BOOL=TRUE"
> -                           ;"-DVTK_USE_SYSTEM_PUGIXML:BOOL=TRUE"    ;
> breaks IO/CityGML
> -                           "-DVTK_USE_SYSTEM_SQLITE:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_THEORA:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_TIFF:BOOL=TRUE"
> -                           "-DVTK_USE_SYSTEM_ZLIB:BOOL=TRUE")

Could you confirm that there’s no bundled software left?  That’d be
great news but also quite surprising.

TIA!

Ludo’.